Browser
  • Internet Explorer 6 or above
  • Firefox 3 or above
  • Google Chrome 10 or above
Additional Requirements
  • Microsoft Office 2007 or newer.
  • If you are using Microsoft Office 2003, you can click here to download the compatiblity plugin from Microsoft.